## ros-indigo-pal-detection-msgs 0.11.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pal_detection_msgs)

find_package(catkin REQUIRED
  COMPONENTS
    message_generation
    sensor_msgs
    geometry_msgs
)

add_message_files(
  DIRECTORY msg
  FILES
    Detection2d.msg
    Detections2d.msg
    FaceDetection.msg
    FaceDetections.msg
    LegDetections.msg
    PersonDetection.msg
    PersonDetections.msg
    RecognizedActions.msg
    RotatedDetection2d.msg
    TexturedObjectDetection.msg
    WaveDetection.msg
)

add_service_files(
  DIRECTORY srv
  FILES
    AddTexturedObject.srv
    SelectTexturedObject.srv
    Recognizer.srv
    SetDatabase.srv
    StartEnrollment.srv
    StopEnrollment.srv
)

generate_messages(DEPENDENCIES sensor_msgs geometry_msgs)

catkin_package(CATKIN_DEPENDS message_runtime sensor_msgs geometry_msgs)

=== debian/changelog ===
ros-indigo-pal-detection-msgs (0.11.3-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jordi Adell <jordi.adell@pal-robotics.com>  Wed, 21 Sep 2016 15:28:25 -0000

ros-indigo-pal-detection-msgs (0.11.2-0trusty) trusty; urgency=high



 -- Jordi Adell <jordi.adell@pal-robotics.com>  Sun, 18 Sep 2016 22:00:00 -0000

ros-indigo-pal-detection-msgs (0.11.1-0trusty) trusty; urgency=high



 -- Jordi Adell <jordi.adell@pal-robotics.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-pal-detection-msgs (0.11.0-0trusty) trusty; urgency=high

  * add emotions fields
  * Contributors: Jordi Pages

 -- Jordi Adell <jordi.adell@pal-robotics.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-pal-detection-msgs (0.10.4-0trusty) trusty; urgency=high

  * add facial expressions and confidence information
  * Contributors: Jordi Pages

 -- Jordi Adell <jordi.adell@pal-robotics.com>  Thu, 03 Sep 2015 22:00:00 -0000

ros-indigo-pal-detection-msgs (0.10.3-0trusty) trusty; urgency=high



 -- Jordi Adell <jordi.adell@pal-robotics.com>  Sun, 08 Mar 2015 23:00:00 -0000

ros-indigo-pal-detection-msgs (0.10.2-0trusty) trusty; urgency=high



 -- Jordi Adell <jordi.adell@pal-robotics.com>  Thu, 05 Feb 2015 23:00:00 -0000

ros-indigo-pal-detection-msgs (0.10.1-0trusty) trusty; urgency=high



 -- Jordi Adell <jordi.adell@pal-robotics.com>  Sun, 16 Nov 2014 23:00:00 -0000

ros-indigo-pal-detection-msgs (0.9.1-0trusty) trusty; urgency=high

  * Modifications for the pal_person_detection_fuser
  * add size of object in SelectTexturedObject
    and add comments on both messages
  * add services for textured object detection
  * image included in the message is now compressed
  * pal_detection_msgs: fix message generation
  * Added other packages needed by people that want to use our robot, face
    detection in pal_detection_msgs, and text to speech in text_to_speech. Also
    removed from pal_interaction_msgs the references to the speech part that was
    included there and made incompatible the use of axclient without having the
    same package name than the one inside of the real robot
  * Contributors: Jordi Pages, Paul Mathieu, Sammy Pfeiffer

 -- Jordi Adell <jordi.adell@pal-robotics.com>  Mon, 26 May 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-pal-detection-msgs
Section: misc
Priority: extra
Maintainer: Jordi Adell <jordi.adell@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-pal-detection-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-sensor-msgs
Description: This package defines messages used by the pal face detection and recognition.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pal-detection-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
